Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Todo List

Member eZClusterFileHandler::removeGeneratingFile ( $file)
  Clustering: apply the eZClusterFileHandlerInterface to all cluster handlers
Member eZContentObject::contentObjectAttributes ( $asObject=true, $version=false, $language=false, $contentObjectAttributeID=false, $distinctItemsOnly=false)

  fix using of $asObject parameter

  fix condition for getting attribute from cache

  probably need to move method to eZContentObjectVersion class

Member eZContentObjectAttribute::cloneContentObjectAttribute ( $newVersionNumber, $currentVersionNumber, $contentObjectID=false, $newLanguageCode=false)
  Deprecate this in favor of a real __clone
Member eZContentObjectTreeNode::hiddenInvisibleString ()
  This method probably should be removed in the future.
Member eZDBSchemaInterface::fetchTableData ( $tableInfo, $offset=false, $limit=false)
  scan only once for fields of type char, not once per row
Member eZFSFileHandler::startCacheGeneration ()
  add timeout handling...
Member eZImageFile::fetchByFilepath ( $contentObjectAttributeID, $filepath, $asObject=true)
  This method is actually wrong: the method could return multiple objects (EZP-21324)
Member eZModule::redirectModule ( $module, $viewName, $parameters=array(), $unorderedParameters=null, $userParameters=false, $anchor=false)
  Deprecate; have redirect() check if $module is an eZModule or a string
Member eZModuleOperationInfo::objectForClass ( $className)
  Use a static variable instead of globals
Member eZPersistentObject::fill ( $row)
  Change the actual access to protected instead of just marking it as such @access protected
Member eZPersistentObject::replaceFieldsWithShortNames (eZDBInterface $db, array $fieldDefs, &$fields)
  Change the actual access to protected instead of just marking it as such @access protected
Member eZPersistentObject::storeObject ( $obj, $fieldFilters=null)
  Change the actual access to protected instead of just marking it as such @access protected
Member eZTemplateLocaleOperator::__construct ()
  Add support for specifying the locale object.
Member eZUser::removeSessionData ( $userID)
  should use eZSession api (needs to be created) so callbacks (like preference / basket..) is cleared as well.
Class eZURLAliasQuery
  The hasAttribute, attribute and setAttribute functions can be turned into properties for PHP 5.
Member eZURLWildcard::matchReplaceCode ( $wildcard)

  fix the example

  Try to replace the eval'd code with a preg_replace expression

Member eZURLWildcard::translateWithCache ( $wildcardNum, &$uri, &$wildcardInfo, $matchRegexp)
  make private, this method isn't used anywhere else
Namespace lib
  Convert methods and variables marked as protected/private to protected/private methods and variables

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.